XMLParseException (Xerces Native Interface)
Date: 2014-11-21

org.apache.xerces.xni.parser

## Class XMLParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xerces.xni.XNIException
        - - org.apache.xerces.xni.parser.XMLParseException

- All Implemented Interfaces:
    java.io.Serializable

      public class XMLParseException
      extends XNIException

  A parsing exception. This exception is different from the standard XNI exception in that it stores the location in the document (or its entities) where the exception occurred.
  Version:
    $Id: XMLParseException.java 447244 2006-09-18 05:20:40Z mrglavas $
  Author:
    Andy Clark, IBM
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fBaseSystemId` Base system identifier.
    `protected int` | `fCharacterOffset` Character offset.
    `protected int` | `fColumnNumber` Column number.
    `protected java.lang.String` | `fExpandedSystemId` expanded System identifier.
    `protected int` | `fLineNumber` Line number.
    `protected java.lang.String` | `fLiteralSystemId` literal System identifier.
    `protected java.lang.String` | `fPublicId` Public identifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLParseException(XMLLocator locator, java.lang.String message)` Constructs a parse exception.
    `XMLParseException(XMLLocator locator, java.lang.String message, java.lang.Exception exception)` Constructs a parse exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaseSystemId()` Returns the base system identifier.
    `int` | `getCharacterOffset()` Returns the character offset.
    `int` | `getColumnNumber()` Returns the row number.
    `java.lang.String` | `getExpandedSystemId()` Returns the expanded system identifier.
    `int` | `getLineNumber()` Returns the line number.
    `java.lang.String` | `getLiteralSystemId()` Returns the literal system identifier.
    `java.lang.String` | `getPublicId()` Returns the public identifier.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class org.apache.xerces.xni.XNIException

      `getCause, getException, initCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fPublicId

          protected java.lang.String fPublicId

      Public identifier.

    - #### fLiteralSystemId

          protected java.lang.String fLiteralSystemId

      literal System identifier.

    - #### fExpandedSystemId

          protected java.lang.String fExpandedSystemId

      expanded System identifier.

    - #### fBaseSystemId

          protected java.lang.String fBaseSystemId

      Base system identifier.

    - #### fLineNumber

          protected int fLineNumber

      Line number.

    - #### fColumnNumber

          protected int fColumnNumber

      Column number.

    - #### fCharacterOffset

          protected int fCharacterOffset

      Character offset.

  - ### Constructor Detail

    - #### XMLParseException

          public XMLParseException(XMLLocator locator,
                           java.lang.String message)

      Constructs a parse exception.

    - #### XMLParseException

          public XMLParseException(XMLLocator locator,
                           java.lang.String message,
                           java.lang.Exception exception)

      Constructs a parse exception.

  - ### Method Detail

    - #### getPublicId

          public java.lang.String getPublicId()

      Returns the public identifier.

    - #### getExpandedSystemId

          public java.lang.String getExpandedSystemId()

      Returns the expanded system identifier.

    - #### getLiteralSystemId

          public java.lang.String getLiteralSystemId()

      Returns the literal system identifier.

    - #### getBaseSystemId

          public java.lang.String getBaseSystemId()

      Returns the base system identifier.

    - #### getLineNumber

          public int getLineNumber()

      Returns the line number.

    - #### getColumnNumber

          public int getColumnNumber()

      Returns the row number.

    - #### getCharacterOffset

          public int getCharacterOffset()

      Returns the character offset.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Throwable`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.